player = {
	x = 10,
	y = 400,
	yv = 0,
	xv = 0,
	size = 5,
	fric = 3.5,
	ms = 100,
	js = 250,
	grav = 150,
	canjump = true,
	imgleft = love.graphics.newImage("CharLeft.png"),
	imgright = love.graphics.newImage("CharRight.png"),
	imgleftjump = love.graphics.newImage("CharLeftJump.png"),
	imgrightjump = love.graphics.newImage("CharRightJump.png")
}

function player.load()


end




function player.draw()

	love.graphics.draw(player.imgright, player.x, player.y, 0, player.size, player.size)

end




function player.controls(dt)
	-- MOVEMENT
   	if isDown("d") and
   	player.xv < 10 then
          player.xv = player.ms * dt
   	end
   	if isDown("a") and
   	player.xv < 10 then
          player.xv = -player.ms * dt
    end

	-- JUMP
   if player.canjump and isDown("w") and
   player.yv < 5 then
          player.yv = -player.js
          player.canjump = false
    end

end




function player.physics(dt)
	player.x = player.x + player.xv * dt
	player.y = player.y + player.yv * dt
	player.xv = player.xv * (1 - math.min(dt*player.fric, 1))
	player.yv = player.yv * (1 - math.min(dt*player.fric, 1))

    if player.y < groundLevel then
       player.yv = player.yv + player.grav * dt
    else
       player.canjump = true
   end

end



-- PARENT FUNCTIONS --------------------------------------

function PLAYER_LOAD()
	player.load()
end

function PLAYER_UPDATE()
	player.physics(dt)
	player.controls(dt)
end

function PLAYER_DRAW()
	player.draw()
end